com.buschmais.jqassistant.plugin.javaee6.api.model

## Interface ApplicationXmlDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.plugin.common.api.model.ApplicationDescriptor, com.buschmais.jqassistant.core.store.api.model.Descriptor, EnterpriseDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, VersionDescriptor, com.buschmais.jqassistant.plugin.xml.api.model.XmlDescriptor, com.buschmais.jqassistant.plugin.xml.api.model.XmlFileDescriptor

      public interface ApplicationXmlDescriptor
      extends EnterpriseDescriptor, com.buschmais.jqassistant.plugin.common.api.model.ApplicationDescriptor, com.buschmais.jqassistant.plugin.xml.api.model.XmlFileDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, VersionDescriptor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DescriptionDescriptor>` | `getDescriptions()`
    `List<DisplayNameDescriptor>` | `getDisplayNames()`
    `List<IconDescriptor>` | `getIcons()`
    `String` | `getInitializeInOrder()`
    `String` | `getLibraryDirectory()`
    `List<EnterpriseApplicationModuleDescriptor>` | `getModules()`
    `List<SecurityRoleDescriptor>` | `getSecurityRoles()`
    `void` | `setInitializeInOrder(String initializeInOrder)`
    `void` | `setLibraryDirectory(String libraryDirectory)`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.xml.api.model.XmlFileDescriptor

      `getCharacterEncodingScheme, getRootElement, getXmlVersion, isStandalone, isXmlWellFormed, setCharacterEncodingScheme, setRootElement, setStandalone, setXmlVersion, setXmlWellFormed`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor

      `getFileName, setFileName`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      `getName, setName`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.javaee6.api.model.VersionDescriptor

      `getVersion, setVersion`

- - ### Method Detail

    - #### getDisplayNames

          @Relation(value="HAS_DISPLAY_NAME")
          List<DisplayNameDescriptor> getDisplayNames()

    - #### getDescriptions

          @Relation(value="HAS_DESCRIPTION")
          List<DescriptionDescriptor> getDescriptions()

    - #### getIcons

          @Relation(value="HAS_ICON")
          List<IconDescriptor> getIcons()

    - #### getModules

          @Relation(value="HAS_MODULE")
          List<EnterpriseApplicationModuleDescriptor> getModules()

    - #### getSecurityRoles

          @Relation(value="HAS_SECURITY_ROLE")
          List<SecurityRoleDescriptor> getSecurityRoles()

    - #### getInitializeInOrder

          String getInitializeInOrder()

    - #### setInitializeInOrder

          void setInitializeInOrder(String initializeInOrder)

    - #### getLibraryDirectory

          String getLibraryDirectory()

    - #### setLibraryDirectory

          void setLibraryDirectory(String libraryDirectory)

Copyright © 2015 buschmais GbR. All rights reserved.